- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::Basics::CHtmlString Class Reference

Inheritance diagram for Exponent::Basics::CHtmlString:

List of all members.

## Detailed Description

Launchable Html path storage.

Stores a launchable path to an html file or web page. The link can be a file or can be an internet address

Date:
  21/08/2004

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CHtmlString.hpp,v 1.4 2007/02/08 21:06:44 paul Exp

Definition at line 34 of file CHtmlString.hpp.

## Public Member Functions

- void appendLocation (const bool isHttp=true)
- CHtmlString (const char *string=" ")
- CHtmlString (const CHtmlString &string)
- CHtmlString (const CSystemString &string)
- bool isFileLocation ()
- bool isWebLocation ()
- void loadInBrowser ()
- virtual ~CHtmlString ()

## Static Public Attributes

- static const char * CHTML_STRING_FILE_LOCATION
- static const char * CHTML_STRING_WEB_LOCATION

## Constructor & Destructor Documentation

Exponent::Basics::CHtmlString::CHtmlString | ( | const CSystemString & | string | ) |

Construction from a system string

Parameters:

  | string | The path to the html file

Exponent::Basics::CHtmlString::CHtmlString | ( | const CHtmlString & | string | ) |

Copy construction

Parameters:

  | string | The html string to copy

Exponent::Basics::CHtmlString::CHtmlString | ( | const char * | string = `" "` | ) |

Construction from a c style string

Parameters:

  | string | The path to the html file

virtual Exponent::Basics::CHtmlString::~CHtmlString | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

void Exponent::Basics::CHtmlString::appendLocation | ( | const bool | isHttp = `true` | ) |

Append the location to the start of the string

Parameters:

  | isHttp | If True, CHTML_STRING_WEB_LOCATION is appended to the start If False, CHTML_STRING_FILE_LOCATION is appended to the start

bool Exponent::Basics::CHtmlString::isFileLocation | ( |  | ) |

Check if the path stored points to a file

Return values:

  | bool | True if path points to a file, false otherwise

bool Exponent::Basics::CHtmlString::isWebLocation | ( |  | ) |

Check if the path stored points to a web location

Return values:

  | bool | True if path points to a web location, false otherwise

void Exponent::Basics::CHtmlString::loadInBrowser | ( |  | ) |

Load the page in the users default browser

## Member Data Documentation

const char* Exponent::Basics::CHtmlString::CHTML_STRING_FILE_LOCATION`[static]`

Constructed to be 'file://'

Definition at line 47 of file CHtmlString.hpp.

const char* Exponent::Basics::CHtmlString::CHTML_STRING_WEB_LOCATION`[static]`

Constructed to be 'http://'

Definition at line 46 of file CHtmlString.hpp.